Subject: Re: [bug#76899] Request for merging "c++-team" branch

From: Christopher Baines <[email-masked]>
Date: Wed, 28 May 2025 11:39:35 +0100

Andreas Enge <[email-masked]> writes:

> I have rebased once again, on dd5cb574b53337620c31dcc6cd727eabc6a09a48,
> and pushed.
>
> Hopefully this will be picked up by the data service soon.

I was looking at why the data service was so slow at processing this
branch, and I think it was mostly due to [1] "build-system/gnu: Limit
load average.".

1: https://codeberg.org/guix/guix/commit/dd2ebc733add21f9b40d0df5b7a8337c5beb8e72

Turns out that this change is also on the core-packages-team branch,
which is amore appropriate place, so I've rebased removing this commit.

I'd recommend running guix weather on branches like this since by
computing all the derivations you might find some problems, and it'll
give a sense of how many packages are affected by the changes.